> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recurrence Collections

> List recurrence collections with parameters



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashin/pix/recurrences/collections
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/pix/recurrences/collections:
    get:
      tags:
        - Recurrences
      summary: List recurrence collections
      description: List recurrence collections with parameters
      operationId: TrioFoundationWeb.Banking.Cashin.Recurrence.CollectionController.index
      parameters:
        - description: Entity Id
          in: query
          name: entity_id
          required: false
          schema:
            $ref: '#/components/schemas/UUID'
        - description: Recurrence Id
          in: query
          name: recurrence_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: From datetime
          in: query
          name: from_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: To datetime
          in: query
          name: to_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Number of registries to be returned
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecurrenceCollectionListResponse'
          description: Collections
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    RecurrenceCollectionListResponse:
      description: Recurrence collection list response
      example:
        data:
          - aditional_info: ADITIONAL INFO
            amount:
              amount: 10
              currency: BRL
            bank_account_id: 019f2433-fc78-2432-b2ba-614beee0dd53
            company_id: 019f2433-fc78-4643-32b0-fa26be3d946c
            counterparty_info_id: 019f2433-fc78-0ba8-53f7-67c503bd5aed
            entity_id: 019f2433-fc78-2ec6-1e3f-018a965dbb80
            final_date: '2026-07-02T19:00:14.584403Z'
            id: 019f2433-fc78-fdde-9591-ce8c284fef14
            inserted_at: '2026-07-02T19:00:14.584407Z'
            next_working_day: '2026-07-02T19:00:14.584404Z'
            org_id: 019f2433-fc78-46f5-d8b0-e4e4d73039b6
            recurrence_id: 019f2433-fc78-53a7-642d-8d48b82a388b
            recurrence_timestamp: '2026-07-02T19:00:14.584402Z'
            status: created
            timestamp: '2026-07-02T19:00:14.584393Z'
            transaction_date: '2026-07-02T19:00:14.584403Z'
            txid: 1276T31G7T623GTYU123GJTY123JGTY
            updated_at: '2026-07-02T19:00:14.584408Z'
            virtual_account_id: 019f2433-fc78-1b06-2f65-3a6d59bb5c0e
      properties:
        data:
          $ref: '#/components/schemas/RecurrenceCollectionListData'
      title: RecurrenceCollectionListResponse
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    RecurrenceCollectionListData:
      description: A list data of automatic recurrence collections
      example:
        - aditional_info: ADITIONAL INFO
          amount:
            amount: 10
            currency: BRL
          bank_account_id: 019f2433-fc78-2432-b2ba-614beee0dd53
          company_id: 019f2433-fc78-4643-32b0-fa26be3d946c
          counterparty_info_id: 019f2433-fc78-0ba8-53f7-67c503bd5aed
          entity_id: 019f2433-fc78-2ec6-1e3f-018a965dbb80
          final_date: '2026-07-02T19:00:14.584403Z'
          id: 019f2433-fc78-fdde-9591-ce8c284fef14
          inserted_at: '2026-07-02T19:00:14.584407Z'
          next_working_day: '2026-07-02T19:00:14.584404Z'
          org_id: 019f2433-fc78-46f5-d8b0-e4e4d73039b6
          recurrence_id: 019f2433-fc78-53a7-642d-8d48b82a388b
          recurrence_timestamp: '2026-07-02T19:00:14.584402Z'
          status: created
          timestamp: '2026-07-02T19:00:14.584393Z'
          transaction_date: '2026-07-02T19:00:14.584403Z'
          txid: 1276T31G7T623GTYU123GJTY123JGTY
          updated_at: '2026-07-02T19:00:14.584408Z'
          virtual_account_id: 019f2433-fc78-1b06-2f65-3a6d59bb5c0e
      items:
        $ref: '#/components/schemas/RecurrenceCollectionData'
      title: RecurrenceCollectionListData
      type: array
    RecurrenceCollectionData:
      description: A recurrence collection
      example:
        aditional_info: ADITIONAL INFO
        amount:
          amount: 10
          currency: BRL
        bank_account_id: 019f2433-fc78-2432-b2ba-614beee0dd53
        company_id: 019f2433-fc78-4643-32b0-fa26be3d946c
        counterparty_info_id: 019f2433-fc78-0ba8-53f7-67c503bd5aed
        entity_id: 019f2433-fc78-2ec6-1e3f-018a965dbb80
        final_date: '2026-07-02T19:00:14.584403Z'
        id: 019f2433-fc78-fdde-9591-ce8c284fef14
        inserted_at: '2026-07-02T19:00:14.584407Z'
        next_working_day: '2026-07-02T19:00:14.584404Z'
        org_id: 019f2433-fc78-46f5-d8b0-e4e4d73039b6
        recurrence_id: 019f2433-fc78-53a7-642d-8d48b82a388b
        recurrence_timestamp: '2026-07-02T19:00:14.584402Z'
        status: created
        timestamp: '2026-07-02T19:00:14.584393Z'
        transaction_date: '2026-07-02T19:00:14.584403Z'
        txid: 1276T31G7T623GTYU123GJTY123JGTY
        updated_at: '2026-07-02T19:00:14.584408Z'
        virtual_account_id: 019f2433-fc78-1b06-2f65-3a6d59bb5c0e
      properties:
        aditional_info:
          description: Aditional info
          type: string
        amount:
          properties:
            amount:
              description: Amount int in cents
              type: integer
            currency:
              description: Amount currency
              type: string
          type: object
        bank_account_id:
          description: Bank Account ID
          format: uuid
          type: string
        company_id:
          description: Company ID
          format: uuid
          type: string
        counterparty_info_id:
          description: Counterparty Info ID
          format: uuid
          type: string
        entity_id:
          description: Entity ID
          format: uuid
          type: string
        final_date:
          description: Final date
          format: date-time
          type: string
        id:
          description: ID
          format: uuid
          type: string
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        next_working_day:
          description: Next working day
          format: date-time
          type: string
        org_id:
          description: Org ID
          format: uuid
          type: string
        recurrence_id:
          description: Recurrence ID
          format: uuid
          type: string
        recurrence_timestamp:
          description: Recurrence Timestamp
          format: uuid
          type: string
        status:
          $ref: '#/components/schemas/RecurrenceStatus'
        timestamp:
          description: Timestamp
          format: uuid
          type: string
        transaction_date:
          description: Transaction date
          format: date-time
          type: string
        txid:
          description: TXID
          format: uuid
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
        virtual_account_id:
          description: Virtual account ID
          format: uuid
          type: string
      title: RecurrenceCollectionData
      type: object
    RecurrenceStatus:
      description: Types of recurrence status
      enum:
        - created
        - approved
        - rejected
        - expired
        - cancelled
      title: RecurrenceStatus
      type: string

````